using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;

using EQNetwork.Utility;
using EQNetwork.Aspects;

namespace EQNetwork.Objects
{
    public class RequestMessage : PropertyChangeTracker
    {
        // not writeable
        public Guid RequestGuid;
        public string Subject;
        public string Body;

        public RequestMessage()
        {
        }

        public RequestMessage(XmlNode node)
        {
            EQParse.SetPropertiesWithXmlAttributes(this, node);
            ClearPropertyChanges();
        }

        public override string ToString()
        {
            return RequestGuid.ToString();
        }

    }
}
